Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.wsdl11
Class WSDLVisitor

    java.lang.Object
      org.codehaus.xfire.wsdl11.WSDLVisitor

    public class WSDLVisitor

extends java.lang.Object

Field Summary
`protected javax.wsdl.Definition` | `definition`

Constructor Summary
`WSDLVisitor(javax.wsdl.Definition definition)`

Method Summary
`protected void` | `begin()`
`protected void` | `end()`
`protected javax.wsdl.extensions.soap.SOAPBinding` | `getSOAPBinding(javax.wsdl.Binding binding)`
`protected javax.wsdl.extensions.soap.SOAPBody` | `getSOAPBody(java.util.List extensibilityElements)`
`protected void` | `visit(javax.wsdl.Binding binding)`
`protected void` | `visit(javax.wsdl.BindingFault bindingFault)`
`protected void` | `visit(javax.wsdl.BindingInput bindingInput)`
`protected void` | `visit(javax.wsdl.BindingOperation bindingOperation)`
`protected void` | `visit(javax.wsdl.BindingOutput bindingOutput)`
`protected void` | `visit(javax.wsdl.Definition definition)`
`protected void` | `visit(javax.wsdl.Fault fault)`
`protected void` | `visit(javax.wsdl.Import wsdlImport)`
`protected void` | `visit(javax.wsdl.Input input)`
`protected void` | `visit(javax.wsdl.Message message)`
`protected void` | `visit(javax.wsdl.Operation operation)`
`protected void` | `visit(javax.wsdl.Output output)`
`protected void` | `visit(javax.wsdl.Part part)`
`protected void` | `visit(javax.wsdl.Port port)`
`protected void` | `visit(javax.wsdl.PortType portType)`
`protected void` | `visit(javax.wsdl.Service service)`
`protected void` | `visit(javax.wsdl.Types types)`
`void` | `walkTree()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### definition

    protected final javax.wsdl.Definition definition

Constructor Detail

### WSDLVisitor

    public WSDLVisitor(javax.wsdl.Definition definition)

Method Detail

### walkTree

    public void walkTree()

### begin

    protected void begin()

### end

    protected void end()

### visit

    protected void visit(javax.wsdl.Fault fault)

### visit

    protected void visit(javax.wsdl.Definition definition)

### visit

    protected void visit(javax.wsdl.Import wsdlImport)

### visit

    protected void visit(javax.wsdl.Types types)

### visit

    protected void visit(javax.wsdl.BindingFault bindingFault)

### visit

    protected void visit(javax.wsdl.BindingOutput bindingOutput)

### visit

    protected void visit(javax.wsdl.BindingInput bindingInput)

### visit

    protected void visit(javax.wsdl.Output output)

### visit

    protected void visit(javax.wsdl.Part part)

### visit

    protected void visit(javax.wsdl.Message message)

### visit

    protected void visit(javax.wsdl.Input input)

### visit

    protected void visit(javax.wsdl.Operation operation)

### visit

    protected void visit(javax.wsdl.PortType portType)

### visit

    protected void visit(javax.wsdl.BindingOperation bindingOperation)

### visit

    protected void visit(javax.wsdl.Binding binding)

### visit

    protected void visit(javax.wsdl.Port port)

### visit

    protected void visit(javax.wsdl.Service service)

### getSOAPBody

    protected javax.wsdl.extensions.soap.SOAPBody getSOAPBody(java.util.List extensibilityElements)

### getSOAPBinding

    protected javax.wsdl.extensions.soap.SOAPBinding getSOAPBinding(javax.wsdl.Binding binding)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.